$(function(){
	
	
	$(document).on('click', '.pay_now_update', function() {
		

		$.post(website_url+"/"+"ajax_update_pay.php",
		{
			'number':$(".payment_input").val(),
			'id':$(this).attr("invoice_id")
			
			
		},function(data){
			
			//alert(data);
			if(data=='done'){
				$(".bill_content").html("<span>تم ادخال بيانات الدفع .. سيتم التواصل معكم قريبا </span>");
				$(".bill_content").addClass("active");
				
				
			}else{
				alert("تأكد من ادخال كود العملية بشكل صحيح");
			}
		});
	});
	
	//alert("Zx");
	
	$(".colors_block").click(function(){
	
	$(".buy_product").attr("color",$(this).text());
	$(".colors_block").removeClass("active");
	$(this).addClass("active");
});	
	
	
$(".dimintions_block").click(function(){
	$(".buy_product").attr("dimintion",$(this).text());
	$(".dimintions_block").removeClass("active");
	$(this).addClass("active");
});	
	

	$(document).on('click', '.payment_method_title:not(.active)', function() {	
		$(".payment_method_body").slideUp();
		$(".payment_method_title").removeClass("active");
		$(this).next(".payment_method_body").slideDown();
		$(this).addClass("active");
		$("#payment_method_field").val($(this).attr("payment_method"));
		$(".payment_input").val("");
		$("#payment_number_field").val("");
		
		
		if($(this).attr("payment_method")=='0'){
			$("#payment_number_field").val("");
			$("#total_price_bottom").show();
			$("#total_price_shipping").html(parseInt($("#total_shipping_cur").html()) + parseInt($("#pod_price").html()) + parseInt($("#total_price_value").html()));

		}else{
			$("#total_price_bottom").hide();
			$("#total_price_shipping").html(parseInt($("#total_shipping_cur").html()) + parseInt($("#total_price_value").html()));

			
			
		}
		
		
		
		$(".option_circle").removeClass("active");	
		$(this).find(".option_circle").addClass("active");
	});
	
	
	
	
		$(document).on('click', '.payment_method_sub_title', function() {	
		
			if ($(this).hasClass("active")) {
				
				$(this).next(".payment_method_body").slideUp();
				$(this).removeClass("active");
				
			}else{
				$(this).next(".payment_method_body").slideDown();
				$(this).addClass("active");
				current_body=$(this).next(".payment_method_body");
				if($(this).next(".payment_method_body").html()==''){
					
					$.post(website_url+"/"+"ajax_members_deploma_courses.php",
					{
						
					"course_id":$(this).attr("courses"),
					
					},
						function(data,status){
						//alert(data);

						
						}).success(function(data){


						current_body.html(data);
					});
					
					
				}
			
			}
		
		
		});
		
	
		
	

	$(document).on('click', '.pay_later', function() {	
		
		$(".payment_method_body").slideUp();
		$("#payment_number_field").val("");
		
	});
	
	
	$(document).on('click', '.pay_now', function() {	
		//alert($(this).parent().find('.payment_input').val());
		if($(this).parent().find('.payment_input').val()==''){
			alert('قم بادخال رقم التحويل');
			event.preventDefault();	
			
		}else{
		$(".payment_method_body").slideUp();
		$(".payment_method_title").removeClass('active');
		}
		
	});	
	
	
	
	$(document).on('click', '.payment_method_title.active', function() {	
		$(".payment_method_body").slideUp();
		$(this).removeClass("active");
		$(".option_circle").removeClass("active");	
	});
	
	
	
	$(".payment_input").keyup(function(){
		$("#payment_number_field").val($(this).val());
	});
	
	
shipping_total=$("#total_shipping_cur").text();
//alert("S");

$(document).on('click', '.buy_product', function() {
		
//alert($(this).attr("product_id"));
//alert($(this).attr("product_title"));
//alert($(this).attr("product_type"));
//alert($(this).attr("color"));
//alert($(this).attr("dimintion"));

		
if($.isNumeric($(this).prev().find(".quantity").text()) && $(this).prev().find(".quantity").text() !=0){
		
	$("#cart_button").css("background","url(../img/cart_btn1.png) no-repeat");	


$.post(website_url+"/"+"ajax_add_product_cart.php",
{
	
"product_id":$(this).attr("product_id"),
"product_title":$(this).attr("product_title"),
"product_type":$(this).attr("product_type"),
"color":$(this).attr("color"),
"dimintion":$(this).attr("dimintion"),
"quantity":1
},
function(data,status){
//alert(data);

	if(data=='done'){
	
	
	
	$(".sp-modal_content").show();
	$(".sp-modal_overlay").show();
		
	}
}).success(function(){


	
});


//$(this).attr("disabled","disabled");
$(".checkout_alert").fadeIn(1000);
	
}else{
	
	//alert("Enter The Quantity Correctly");
}	
	
});


$(".buy_course").on('click',function(){
		
		
if($.isNumeric($(this).prev().find(".quantity").text()) && $(this).prev().find(".quantity").text() !=0){
		
	$("#cart_button").css("background","url(../img/cart_btn1.png) no-repeat");	


$.post(website_url+"/"+"ajax_add_course_cart.php",
{
	
"product_id":$(this).attr("product_id"),
"product_title":$(this).attr("product_title"),
"product_type":$(this).attr("product_type"),
"quantity":1
},
function(data,status){
//alert(data);

	if(data=='done'){
	
	
		
	$(".sp-modal_content").show();
	$(".offcanvas-overlay").addClass('active');
		
	}
}).success(function(){


	
});


$(this).attr("disabled","disabled");
$(".checkout_alert").fadeIn(1000);
	
}else{
	
	alert("ادخل العدد بشكل صحيح");
}	
	
});




$("#browsing").on('click',function(){
	
	$(".sp-modal_content").hide();
	$(".offcanvas-overlay").removeClass('active');

});










var shipping=$("#total_shipping_cur").text();
var quntaties_array={};	
$( ".quantity" ).each(function() {
quntaties_array[$(this).attr("product_id")]=$(this).text();	
});


$.each(quntaties_array, function(index, val) {
//alert(index+"="+val);
});



$("#browsing").on('click',function(){
	
	$(".sp-modal_content").hide();
	$(".sp-modal_overlay").hide();

});



$(".add_quantity").on('click',function(){
//alert($(this).prev().prev().parent().parent().next().find(".product_total_price").text());
	$(this).next(".quantity").text(parseInt($(this).next().text())+1);
	
	//$(this).prev().prev().text(parseInt($(this).prev().prev().text())+1);
	$(this).parent().parent().parent().find(".product_total_price").text(parseInt($(this).next().text())* parseFloat($(this).parent().parent().next().find(".product_total_price").attr("product_price")));
		
	
	if(shipping_type==1){
		// فى حالة كل قطعة ليها سعر الشحن الخاص بيها
		shipping_total= parseFloat(shipping_total)+parseFloat($(this).parent().parent().next().find(".product_total_price").attr("product_shipping"));
	}else if(shipping_type==2){
		//فى حالة سعر الشحن ثابت لاى عدد
		shipping_total= parseFloat(shipping_total);	
	}else if(shipping_type==0){
		shipping_total='0';	
	}
	
	
	
	
	$("#total_shipping_cur").text(shipping_total);
	//alert(shipping_total);
	$.post(website_url+"/"+"ajax_edit_cart_quantity.php",
		{
			
		"product_id":$(this).attr("product_id"),
		"quantity":$(this).next().text()
		},
		function(data,status){
			//alert(data);
			
		});
		

	//alert($(this).parent().parent().next().find(".product_total_price").attr("product_price"));
	price=parseFloat($("#total_price").text())+parseFloat($(this).parent().parent().parent().find(".product_total_price").attr("product_price"));
	//alert($(this).parent().parent().parent().find(".product_total_price").attr("product_price"));
	//alert(price);
	price_fixed=price.toFixed(2);
	$("#total_price").text(price_fixed);
	price_shipping=parseFloat(price_fixed)+parseFloat($("#total_shipping_cur").text());
	price_shipping_fixed=price_shipping.toFixed(2);
	
	//alert(price_shipping_fixed);
	$("#total_price_shipping").text(price_shipping_fixed);

	quntaties_array[$(this).attr("product_id")]++;
	$("#prod_"+$(this).attr("product_id")).val(quntaties_array[$(this).attr("product_id")]);
	//alert(quntaties_array[$(this).attr("product_id")]);
});

$(".remove_quantity").on('click',function(){
	if(parseInt($(this).prev().text())>1){
		$(this).prev().text(parseInt($(this).prev().text())-1);
		$(this).parent().parent().next().find(".product_total_price").text(parseInt($(this).prev().text())* parseFloat($(this).parent().parent().next().find(".product_total_price").attr("product_price")));
		
		if(shipping_type==1){
			shipping_total= parseFloat(shipping_total)-parseFloat($(this).parent().parent().next().find(".product_total_price").attr("product_shipping"));
		}else{
			
		shipping_total= parseFloat(shipping_total);
	
		}
		
		
		$("#total_shipping_cur").text(shipping_total);
	
	
		$.post(website_url+"/"+"ajax_edit_cart_quantity.php",
		{
			
		"product_id":$(this).attr("product_id"),
		"quantity":$(this).prev().text()
		},
		function(data,status){
			//alert(data);
			
		});
	
	

		price=parseFloat($("#total_price").text())-parseFloat($(this).parent().parent().parent().find(".product_total_price").attr("product_price"));
		price_fixed=price.toFixed(2);
		$("#total_price").text(price_fixed);
		
		price_shipping=parseFloat(price_fixed)+parseFloat($("#total_shipping_cur").text());
		price_shipping_fixed=price_shipping.toFixed(2);
		$("#total_price_shipping").text(price_shipping_fixed);

		
		
		quntaties_array[$(this).attr("product_id")]--;
		$("#prod_"+$(this).attr("product_id")).val(quntaties_array[$(this).attr("product_id")]);
		
		//alert(quntaties_array[$(this).attr("product_id")]);

	}	
});










$(".remove_product").on('click',function(){

var this2 = this;
//alert($(this).parent().parent().find(".product_total_price").attr("product_shipping"));
//alert($(this).parent().parent().find(".quantity").text());


$.post(website_url+"/"+"ajax_remove_product.php",
{
	
"product_id":$(this).attr("product_id")

},
function(data,status){
//alert(data);
	if(data=='done'){
	
	
		alert("تم حذف الخدمة من سلة الشراء");


	}else{
		//alert("حدثت مشكلة");
		$(".check_row").html("<div style='font-size:20px;text-align:center;background:#fff;padding:40px;border:solid 1px #ccc;margin:50px auto' class='col-10 '><span style='color:#6610f2;font-size:22px;margin-bottom:30px;'>سلة الشراء فارغة  </div>")	;
	
		
	}
}).success(function(){


	//shipping_remove=parseFloat($(this2).parent().parent().next().find(".product_total_price").attr("product_shipping"))*parseFloat($(this2).parent().parent().next().find(".quantity").text());
	//$("#total_shipping_cur").text(parseFloat($("#total_shipping_cur").text())-parseFloat(shipping_total));
	
	//shipping_total= parseFloat(shipping_total)-parseFloat($(this2).parent().parent().next().find(".product_total_price").attr("product_shipping"));
	//$("#total_shipping_cur").text(shipping_total);
	
});


//alert(quntaties_array[$(this).attr("product_id")]);
$(this).parent().parent().parent().hide();
//quntaties_array.splice(indexValueOfArray,$(this).attr("product_id"));
//quntaties_array.splice(quntaties_array.indexOf("def"), 1);
delete  quntaties_array[$(this).attr("product_id")];
//alert(quntaties_array[$(this).attr("product_id")]);


if(shipping_type==1){
//لو كل قطعة ليها سعر شحن 
current_shipping=$(this).parent().find('.quantity').text()*parseFloat($(this).parent().parent().next().find(".product_total_price").attr("product_shipping"));
}else{

//لو سعر شحن كل القطع واحد 
current_shipping=parseFloat($(this).parent().parent().next().find(".product_total_price").attr("product_shipping"));
}


$("#total_shipping_cur").text(parseFloat($("#total_shipping_cur").text())-parseFloat(current_shipping));
$("#total_price").text(parseFloat($("#total_price").text())-parseFloat($(this).parent().parent().next().find(".product_total_price").text()));
$("#total_price_shipping").text(parseFloat($("#total_price").text())+parseFloat($("#total_shipping_cur").text()));
	
});



$("#cityx").change(function(){


	shipping=$("#total_shipping_cur").text();
	
	if($(this).val()!=0){
		//alert($(this).next('span.btn').text());
		$("#price_title").text(parseInt($(this).find("option:selected").attr('price')) + " $");
		$("#total_shipping").text(" + "+ parseInt($(this).find("option:selected").attr('price')) + " $ (shipping Fees)");
		$("#total_price_shipping").text(parseFloat($("#total_price").text())+parseFloat($(this).find("option:selected").attr('price')));
	}else{
		$(this).next().text("Not Available");

		$(".sp-modal_content").show();
		$(".sp-modal_overlay").show();	
	}
	
	
});


footer_show=window_height-1000;
//alert(footer_show);
$(window).scroll(function(){
if(window_width>=900){
	
	if($(window).scrollTop()>=350 ){
	//$(".check_row.sticky-top").css({"position":"fixed","top":"50px" });
	}else{
	//$(".check_row.sticky-top").css({"position":"fixed","margin-left":"1%","top" : "50px" });

	}
}else{
	//$(".check_row.sticky-top").css({"position":"","margin-left":"1%" });
	
}

});

$(".field_val").hide();

$(".checkout_product").on('click',function(){
	$("#app_form").submit();

	if(err==0){
		$("#app_form")[0].dispatchEvent(new Event('submit'));

	}

});


$("#total_price_bottom").text($("#total_price").text());	
$("#total_shipping_bottom").text($("#total_shipping").text());
$("#total_price_shipping_bottom").text($("#total_price_shipping").text());
	
$("#total_price_shipping").bind("DOMSubtreeModified",function(){


	$("#total_price_bottom").text($("#total_price").text());
	$("#total_shipping_bottom").text($("#total_shipping").text());
	$("#total_price_shipping_bottom").text($("#total_price_shipping").text() );

	});
	
	


$(".option_circle").click(function(){

});


});